import { html, ref } from '@microsoft/fast-element';
export const getPreviewFormTemplate = (prefix) => html `
  <template>
    <${prefix}-design-system-provider ${ref('provider')}>
      <div class="wrapper">
        <div class="form-container">
            <h2>Sample Form </h2>
            <foundation-form
            :jsonSchema=${(x) => x.jsonSchema}
            :uischema=${(x) => x.uischema}
            :data=${(x) => x.editedEntity}
          ></foundation-form>
          <foundation-form
            :jsonSchema=${(x) => x.jsonSchemaArray}
            :uischema=${(x) => x.uiSchemaArray}
            :data=${(x) => x.editedEntityArray}
          ></foundation-form>
        </div>
      </div>
    </${prefix}-design-system-provider>
  </template>
`;
export const PreviewFormTemplate = html `
  ${(x) => getPreviewFormTemplate(x.prefix)}
`;
